curl --request PUT \
--url https://hiimpria.ai/api/user/setting/{settingId} \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"key": "variable-2",
"value": "variable value",
"status": "active",
"admin_only": true,
"editable_others": true,
"institution_shared": true
}
'import requests
url = "https://hiimpria.ai/api/user/setting/{settingId}"
payload = {
"key": "variable-2",
"value": "variable value",
"status": "active",
"admin_only": True,
"editable_others": True,
"institution_shared": True
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: 'variable-2',
value: 'variable value',
status: 'active',
admin_only: true,
editable_others: true,
institution_shared: true
})
};
fetch('https://hiimpria.ai/api/user/setting/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hiimpria.ai/api/user/setting/{settingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'key' => 'variable-2',
'value' => 'variable value',
'status' => 'active',
'admin_only' => true,
'editable_others' => true,
'institution_shared' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-access-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://hiimpria.ai/api/user/setting/{settingId}"
payload := strings.NewReader("{\n \"key\": \"variable-2\",\n \"value\": \"variable value\",\n \"status\": \"active\",\n \"admin_only\": true,\n \"editable_others\": true,\n \"institution_shared\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-access-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://hiimpria.ai/api/user/setting/{settingId}")
.header("x-access-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"key\": \"variable-2\",\n \"value\": \"variable value\",\n \"status\": \"active\",\n \"admin_only\": true,\n \"editable_others\": true,\n \"institution_shared\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://hiimpria.ai/api/user/setting/{settingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-access-token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"key\": \"variable-2\",\n \"value\": \"variable value\",\n \"status\": \"active\",\n \"admin_only\": true,\n \"editable_others\": true,\n \"institution_shared\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Setting updated!"
}{
"success": false,
"message": "Properties Required"
}{
"success": false,
"message": "Authentication Required"
}{
"success": false,
"message": "This functionality is reserved to instance users"
}{
"success": false,
"message": "Setting not found!"
}Update an instance variable
Updates a setting of the caller’s own Digital Twin by ID (a setting of another Digital Twin, or a platform setting, is not found). Only the setting’s own fields are written: key, value, status, admin_only, institution_shared, editable_others; the twin, the author, the id and the creation date in the body are ignored, unknown keys are ignored. Update operators are refused.
curl --request PUT \
--url https://hiimpria.ai/api/user/setting/{settingId} \
--header 'Content-Type: application/json' \
--header 'x-access-token: <api-key>' \
--data '
{
"key": "variable-2",
"value": "variable value",
"status": "active",
"admin_only": true,
"editable_others": true,
"institution_shared": true
}
'import requests
url = "https://hiimpria.ai/api/user/setting/{settingId}"
payload = {
"key": "variable-2",
"value": "variable value",
"status": "active",
"admin_only": True,
"editable_others": True,
"institution_shared": True
}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: 'variable-2',
value: 'variable value',
status: 'active',
admin_only: true,
editable_others: true,
institution_shared: true
})
};
fetch('https://hiimpria.ai/api/user/setting/{settingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://hiimpria.ai/api/user/setting/{settingId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'key' => 'variable-2',
'value' => 'variable value',
'status' => 'active',
'admin_only' => true,
'editable_others' => true,
'institution_shared' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-access-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://hiimpria.ai/api/user/setting/{settingId}"
payload := strings.NewReader("{\n \"key\": \"variable-2\",\n \"value\": \"variable value\",\n \"status\": \"active\",\n \"admin_only\": true,\n \"editable_others\": true,\n \"institution_shared\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-access-token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://hiimpria.ai/api/user/setting/{settingId}")
.header("x-access-token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"key\": \"variable-2\",\n \"value\": \"variable value\",\n \"status\": \"active\",\n \"admin_only\": true,\n \"editable_others\": true,\n \"institution_shared\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://hiimpria.ai/api/user/setting/{settingId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-access-token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"key\": \"variable-2\",\n \"value\": \"variable value\",\n \"status\": \"active\",\n \"admin_only\": true,\n \"editable_others\": true,\n \"institution_shared\": true\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Setting updated!"
}{
"success": false,
"message": "Properties Required"
}{
"success": false,
"message": "Authentication Required"
}{
"success": false,
"message": "This functionality is reserved to instance users"
}{
"success": false,
"message": "Setting not found!"
}Authorizations
JWT token passed in x-access-token header
Path Parameters
The unique identifier of the setting to update
Body
At least one property must be provided. Any subset of fields can be sent.
Setting key name
"variable-2"
Setting value
"variable value"
Setting status
active, inactive, deleted "active"
Whether setting is admin-only
true
Whether setting can be edited by others
true
Whether setting is shared across institution
true
Was this page helpful?